List comment replies
Returns replies under a comment thread. Requires post_id and the reply cursor; sort_type is optional.
2 credits / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
post_id*string
Reddit post fullname (e.g. t3_xxxxx).
Length
1 <= lengthcursor*string
Cursor from the post comments response used to fetch a comment's replies.
Length
1 <= lengthsort_type?string
Comment sort order.
Value in
- "CONFIDENCE"
- "NEW"
- "TOP"
- "HOT"
- "CONTROVERSIAL"
- "OLD"
- "RANDOM"
curl -X GET "https://example.com/v2/reddit/post/comments/replies?post_id=t3_1uw2gep&cursor=commenttree%3A6ae216b0%2C%3A%3A0%3Aex%3A%28lHBAm%3A%24X%3A%24%5DZ%22%27u%23D5" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "id": "string", "commentCount": 0, "commentForest": { "property1": null, "property2": null }, "property1": null, "property2": null }}